csBigEndian Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csBigEndian Struct Reference
Utilities

Big endian to native conversion routines. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static uint16 | Convert (uint16 s)
| Convert specifically sized type from or to big endian.
static int16 | Convert (int16 s)
| Convert specifically sized type from or to big endian.
static uint32 | Convert (uint32 l)
| Convert specifically sized type from or to big endian.
static int32 | Convert (int32 l)
| Convert specifically sized type from or to big endian.
static uint64 | Convert (uint64 l)
| Convert specifically sized type from or to big endian.
static int64 | Convert (int64 l)
| Convert specifically sized type from or to big endian.
static uint16 | UInt16 (uint16 x)
| Convert specifically sized type from or to big endian.
static int16 | Int16 (int16 x)
| Convert specifically sized type from or to big endian.
static uint32 | UInt32 (uint32 x)
| Convert specifically sized type from or to big endian.
static int32 | Int32 (int32 x)
| Convert specifically sized type from or to big endian.
static uint64 | UInt64 (uint64 x)
| Convert specifically sized type from or to big endian.
static int64 | Int64 (int64 x)
| Convert specifically sized type from or to big endian.

## Detailed Description

Big endian to native conversion routines.

Remarks:
  Since conversion from and to native representation is the same operation, all methods can be used for either direction.

Definition at line 136 of file csendian.h.

## Member Function Documentation

static uint16 csBigEndian::Convert | ( | uint16 | s | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 144 of file csendian.h.

static int16 csBigEndian::Convert | ( | int16 | s | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 146 of file csendian.h.

static uint32 csBigEndian::Convert | ( | uint32 | l | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 148 of file csendian.h.

static int32 csBigEndian::Convert | ( | int32 | l | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 150 of file csendian.h.

static uint64 csBigEndian::Convert | ( | uint64 | l | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 152 of file csendian.h.

static int64 csBigEndian::Convert | ( | int64 | l | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 154 of file csendian.h.

static int16 csBigEndian::Int16 | ( | int16 | x | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 158 of file csendian.h.

static int32 csBigEndian::Int32 | ( | int32 | x | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 160 of file csendian.h.

static int64 csBigEndian::Int64 | ( | int64 | x | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 162 of file csendian.h.

static uint16 csBigEndian::UInt16 | ( | uint16 | x | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 157 of file csendian.h.

static uint32 csBigEndian::UInt32 | ( | uint32 | x | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 159 of file csendian.h.

static uint64 csBigEndian::UInt64 | ( | uint64 | x | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 161 of file csendian.h.

The documentation for this struct was generated from the following file:

- csutil/csendian.h